package org.hisp.dhis.mobile.ui;

import java.io.IOException;
import java.util.Hashtable;

import org.hisp.dhis.mobile.model.TextMapping;

public class TextMappingLoader
{

    private static final String PREFIX = "/properties/";

    private static final String SUFFIX = ".properties";

    public static TextMapping load( String locale )
        throws IOException
    {
        if ( locale.equals( "en" ) )
        {
            locale = locale + "-US";
        }
        else if ( locale.equals( "vi" ) )
        {
            locale = locale + "-VN";
        }
        else if ( locale.equals( "hi" ) )
        {
            locale = locale + "-HI";
        }
        else
        {
            locale = "en-US";
        }
        String resourcePath = PREFIX + locale + SUFFIX;
        Hashtable textTable = Properties.load( resourcePath );
        TextMapping textMapping = new TextMapping();
        textMapping.setTextTable( textTable );
        return textMapping;
    }

}
